org.apache.ignite.internal.processors.service

## Class GridServiceAssignmentsKey

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUtilityKey<GridServiceAssignmentsKey>
  - - org.apache.ignite.internal.processors.service.GridServiceAssignmentsKey

All Implemented Interfaces:
  Serializable, GridCacheInternal

    public class GridServiceAssignmentsKey
    extends GridCacheUtilityKey<GridServiceAssignmentsKey>

Service configuration key.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceAssignmentsKey(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `equalsx(GridServiceAssignmentsKey that)` Child-specific equals method.
`int` `hashCode()`
`String` `name()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheUtilityKey

`equals`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceAssignmentsKey

    public GridServiceAssignmentsKey(String name)

Parameters:
  `name` - Service ID.

### Method Detail

#### name

    public String name()

Returns:
  Service name.

#### equalsx

    protected boolean equalsx(GridServiceAssignmentsKey that)

Child-specific equals method.

Specified by:
  `equalsx` in class `GridCacheUtilityKey<GridServiceAssignmentsKey>`
Parameters:
  `that` - Key.
Returns:
  `True` if equals.

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `GridCacheUtilityKey<GridServiceAssignmentsKey>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018